# Method ADT.Sequence()->_search()

Method _search

  ``int` search(ADT.Sequence from, `mixed` `value`, `void`|`int` `start`)`

Description

  Search the sequence for a specific value. Return the index of the first value that is equal to `value`. If no value was found `UNDEFINED` is returned instead.

Parameter `value`

  The value to find.

Parameter `start`

  If a start value is supplied it will start searching at the index `start`.

Returns

  Returns the index of the found value or `UNDEFINED`.